Bug 118933 - PDB browse from gimp causes "Segmentation fault"
PDB browse from gimp causes "Segmentation fault"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gimp (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
David Lawrence
:
Depends On:
Blocks: FC2Target
  Show dependency treegraph
 
Reported: 2004-03-22 17:54 EST by Michal Jaegermann
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-06 16:54:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace from a crash of Python-Fu (4.27 KB, text/plain)
2004-03-22 17:56 EST, Michal Jaegermann
no flags Details

  None (edit)
Description Michal Jaegermann 2004-03-22 17:54:26 EST
Description of problem:

A use of "PDB browser" after looking at some number of entries
produced "Segmentation fault" with an attached backtrace
(rather long - 81 levels).  I am not sure which steps really led
that it.

Version-Release number of selected component (if applicable):
gimp-2.0-1.pre3.4.1

How reproducible:
I was unable reproduce in a deliberate manner.
Comment 1 Michal Jaegermann 2004-03-22 17:56:15 EST
Created attachment 98762 [details]
backtrace from a crash of  Python-Fu
Comment 2 Nils Philippsen 2004-04-05 17:11:33 EDT
Can you please verify this with gimp-2.0.0-5?
Comment 3 Michal Jaegermann 2004-04-05 17:29:13 EDT
I already tried and so far I failed to make it croak.  OTOH
I do not know really how I managed to get it to fail in the first
place, and my hope was that a backtrace will provide at least
some information to a person familiar with internals, but scripts
now seem to be in a better shape in general.
Comment 4 Nils Philippsen 2004-04-06 16:54:50 EDT
Well, upstream does the bugfixing for a reason ;-). I'll close this
for now, if it happens again, reopen it.

Note You need to log in before you can comment on or make changes to this bug.